TestRail API Shim

Projects

Returns the list of available projects.

get

Retrieves all projects related to the organization. This endpoint returns a paginated list of projects with details such as project ID, name, completion status, announcement, users, and groups.

Query parameters
limitintegerOptional

The number of projects to retrieve per page.

Default: 250
offsetintegerOptional

The offset for pagination.

Default: 0
is_completedintegerOptional

Filter projects by completion status. 1 to return completed projects only, 0 for active projects only.

Default: null
Responses
chevron-right
200

A list of projects for the specified organization with pagination.

application/json
offsetintegerOptional

The current offset of the results.

limitintegerOptional

The limit of projects per page.

sizeintegerOptional

The size of the results array.

get
index.php?/api/v2/get_projects

Returns the details of a specific project.

get

Retrieves the details of a specific project based on its unique identifier.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Responses
chevron-right
200

The details of the specified project.

application/json
idintegerOptional

The unique identifier of the project projectUid in TF.

namestringOptional

The name of the project projectName in TF.

announcementstringOptional

The announcement description of the project in TF.

show_announcementbooleanOptional

A flag indicating whether the project has an announcement description in TF.

suite_modeintegerOptional

The suite mode of the project, 1 represents single suite mode. TF does not support this it will always be 1.

urlstringOptional

The URL to access the Web UI for the project.

usersarrayOptional

A list of user UIDs associated with the project.

groupsarrayOptional

TF does not support this it will always be empty array.

get
index.php?/api/v2/get_project/{project_id}

Creates a new project.

post

Creates a new project with the provided details. This endpoint accepts a JSON object containing the necessary fields to create a project, such as the project name and an optional announcement.

Body
namestringRequired

The name of the project.

Example: Project Alpha
announcementstring Β· nullableOptional

The description or announcement of the project.

Example: This is a special announcement for Project Alpha.
Responses
chevron-right
200

The project was successfully created.

application/json
idintegerOptional

The unique identifier of the project projectUid in TF.

namestringOptional

The name of the project projectName in TF.

announcementstringOptional

The announcement description of the project in TF.

show_announcementbooleanOptional

A flag indicating whether the project has an announcement description in TF.

suite_modeintegerOptional

The suite mode of the project, 1 represents single suite mode. TF does not support this it will always be 1.

urlstringOptional

The URL to access the Web UI for the project.

usersarrayOptional

A list of user UIDs associated with the project.

groupsarrayOptional

TF does not support this it will always be empty array.

post
index.php?/api/v2/add_project

Updates an existing project.

post

Updates an existing project with the provided details. This endpoint accepts a JSON object containing the necessary fields to update a project, such as the project name and an optional announcement.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Body
namestringOptional

The name of the project.

announcementstringOptional

The description or announcement of the project.

Responses
chevron-right
200

The project was successfully updated.

application/json
idintegerOptional

The unique identifier of the project projectUid in TF.

namestringOptional

The name of the project projectName in TF.

announcementstringOptional

The announcement description of the project in TF.

show_announcementbooleanOptional

A flag indicating whether the project has an announcement description in TF.

suite_modeintegerOptional

The suite mode of the project, 1 represents single suite mode. TF does not support this it will always be 1.

urlstringOptional

The URL to access the Web UI for the project.

usersarrayOptional

A list of user UIDs associated with the project.

groupsarrayOptional

TF does not support this it will always be empty array.

post
index.php?/api/v2/update_project/{project_id}

Deletes a project.

post

Deletes a project with the provided details. This endpoint accepts a JSON object containing the necessary fields to delete a project, such as the project name and an optional announcement.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Responses
chevron-right
200

The project was successfully deleted.

application/json
anyOptional

The project was successfully deleted.

post
index.php?/api/v2/delete_project/{project_id}

No content

Test Suites & Sections (TestFiesta Folders)

Returns the details of a specific suite.

get

Retrieves the details of a specific suite based on its unique identifier.

Path parameters
suite_idintegerRequired

The unique identifier of the suite folderUid in TF.

Responses
chevron-right
200

The details of the specified suite.

application/json
completed_onintegerOptional

The date/time when the test suite was closed (as UNIX timestamp) (added with TestRail 4.0)

descriptionstringOptional

The description of the test suite dissabled in TF right now.

idintegerOptional

The unique ID of the test suite.

is_baselinebooleanOptional

TF does not support this it will always be false.

is_completedbooleanOptional

TF does not support this it will always be false.

is_masterbooleanOptional

True if the folder requested is the root folder.

namestringOptional

The name of the test suite.

project_idintegerOptional

The ID of the project this test suite belongs to.

urlstringOptional

The address/URL of the test suite in the user interface.

get
index.php?/api/v2/get_suite/{suite_id}

Returns the list of suites for a specific project with pagination.

get

Retrieves the list of suites for a specific project based on its unique identifier with pagination.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Responses
chevron-right
200

The list of suites for the specified project.

application/json
offsetintegerOptional

The current offset of the results.

limitintegerOptional

The limit of suites per page.

sizeintegerOptional

The size of the results array.

get
index.php?/api/v2/get_suites/{project_id}

Creates a new suite.

post

Creates a new suite with the provided details. This endpoint accepts a JSON object containing the necessary fields to create a suite, such as the suite name and an optional description.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Responses
post
index.php?/api/v2/add_suite/{project_id}
403

This operation is not permitted because this project only supports a single test suite.

No content

Updates an existing suite.

post

Updates an existing suite with the provided details. This endpoint accepts a JSON object containing the necessary fields to update a suite, such as the suite name and an optional description.

Path parameters
suite_idintegerRequired

The unique identifier of the suite folderUid in TF.

Body
namestringOptional

The name of the suite.

descriptionstringOptional

The description of the suite.

Responses
chevron-right
200

The suite was successfully updated.

application/json
completed_onintegerOptional

The date/time when the test suite was closed (as UNIX timestamp) (added with TestRail 4.0)

descriptionstringOptional

The description of the test suite.

idintegerOptional

The unique ID of the test suite.

is_baselinebooleanOptional

TF does not support this it will always be false.

is_completedbooleanOptional

TF does not support this it will always be false.

is_masterbooleanOptional

True if the folder requested is the root folder.

namestringOptional

The name of the test suite.

project_idintegerOptional

The ID of the project this test suite belongs to.

urlstringOptional

The address/URL of the test suite in the user interface.

post
index.php?/api/v2/update_suite/{suite_id}

Deletes a suite.

post

Deletes a suite with the provided details. This endpoint accepts a JSON object containing the necessary fields to delete a suite, such as the suite name and an optional description.

Path parameters
suite_idintegerRequired

The unique identifier of the suite folderUid in TF.

Responses
post
index.php?/api/v2/delete_suite/{suite_id}
403

This operation is not permitted because this project only supports a single test suite.

No content

Returns the details of a specific section.

get

Retrieves the details of a specific section based on its unique identifier.

Path parameters
section_idintegerRequired

The unique identifier of the section sectionUid in TF.

Responses
chevron-right
200

The details of the specified section.

application/json
depthintegerOptional

TF does not support this will always be null.

descriptionstringOptional

The description of the section.

display_orderintegerOptional

The position of the folder can be in negative or positive float values.

idintegerOptional

The unique ID of the section.

namestringOptional

The name of the section.

parent_idintegerOptional

The ID of the parent section in the test suite.

suite_idintegerOptional

The ID of the test suite this section belongs to.

get
index.php?/api/v2/get_section/{section_id}

Returns the list of sections for a specific project.

get

Retrieves the list of sections for a specific project based on its unique identifier.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Responses
chevron-right
200

The list of sections for the specified project.

application/json
offsetintegerOptional

The current offset of the results.

limitintegerOptional

The limit of sections per page.

sizeintegerOptional

The size of the results array.

get
index.php?/api/v2/get_sections/{project_id}

Creates a new section.

post

Creates a new section with the provided details. This endpoint accepts a JSON object containing the necessary fields to create a section, such as the section name and an optional description.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Body
namestringOptional

The name of the section.

descriptionstringOptional

The description of the section.

parent_idintegerOptional

The ID of the parent section in the test suite. If not provided, the section will be created under the root folder.

Responses
chevron-right
200

The section was successfully created.

application/json
depthintegerOptional

TF does not support this will always be null.

descriptionstringOptional

The description of the section.

display_orderintegerOptional

The position of the folder can be in negative or positive float values.

idintegerOptional

The unique ID of the section.

namestringOptional

The name of the section.

parent_idintegerOptional

The ID of the parent section in the test suite.

suite_idintegerOptional

The ID of the test suite this section belongs to.

post
index.php?/api/v2/add_section/{project_id}

Moves a section to a new parent section.

post

Moves a section to a new parent section. This endpoint accepts a JSON object containing the necessary fields to move a section, such as the new parent section ID.

Path parameters
section_idintegerRequired

The unique identifier of the sub folder folderUid in TF.

Body
parent_idintegerOptional

The ID of the parent section (it can be null if it should be moved to the root). Must be in the same project and suite. May not be a direct child of the section being moved.

Responses
chevron-right
200

The section was successfully moved.

application/json
depthintegerOptional

TF does not support this will always be null.

descriptionstringOptional

The description of the section.

display_orderintegerOptional

TF does not support this will always be null.

idintegerOptional

The unique ID of the section.

namestringOptional

The name of the section.

parent_idintegerOptional

The ID of the parent section in the test suite.

suite_idintegerOptional

The ID of the test suite this section belongs to.

post
index.php?/api/v2/move_section/{section_id}

Updates an existing section.

post

Updates an existing section with the provided details. This endpoint accepts a JSON object containing the necessary fields to update a section, such as the section name and an optional description.

Path parameters
section_idintegerRequired

The unique identifier of the sub folder folderUid in TF.

Body
namestringOptional

The name of the section.

descriptionstringOptional

The description of the section.

Responses
chevron-right
200

The section was successfully updated.

application/json
depthintegerOptional

TF does not support this will always be null.

descriptionstringOptional

The description of the section.

display_orderintegerOptional

The position of the folder can be in negative or positive float values.

idintegerOptional

The unique ID of the section.

namestringOptional

The name of the section.

parent_idintegerOptional

The ID of the parent section in the test suite.

suite_idintegerOptional

The ID of the test suite this section belongs to.

post
index.php?/api/v2/update_section/{section_id}

Deletes a section.

post

Deletes a section with the provided details. This endpoint accepts a JSON object containing the necessary fields to delete a section, such as the section name and an optional description.

Path parameters
section_idintegerRequired

The unique identifier of the sub folder folderUid in TF.

Responses
chevron-right
200

The section was successfully deleted.

No content

post
index.php?/api/v2/delete_section/{section_id}

No content

Test Cases

Returns the details of a specific case.

get

Retrieves the details of a specific case based on its unique identifier.

Path parameters
case_idintegerRequired

The unique identifier of the case caseUid in TF.

Responses
chevron-right
200

The details of the specified case. In addition to the properties below, the response will also include the custom fields of the case which can be accessed by forming name as custom_case_<field_name>.

application/json
created_bystringOptional

The UUID of the user who created the test case.

created_onintegerOptional

The date/time when the test case was created (as UNIX timestamp).

idintegerOptional

The unique ID of the test case.

priority_idintegerOptional

The ID of the priority that is linked to the test case.

section_idintegerOptional

The ID of the folder the test case belongs to.

suite_idintegerOptional

The ID of the root folder of project the test case belongs to.

is_deletedintegerOptional

Always 0 as the api will not return non deleted cases.

type_idintegerOptional

The ID of the first testCase tag that is linked to the test case.

template_idintegerOptional

The ID of the template (field layout) the test case uses.

titlestringOptional

The title of the test case.

labelsarrayOptional

The labels/tags of the test case.

updated_bystringOptional

TF does not support this it will always be same as created_by.

updated_onintegerOptional

The date/time when the test case was last updated (as UNIX timestamp).

get
index.php?/api/v2/get_case/{case_id}

Returns the list of cases for a specific project.

get

Retrieves the list of cases for a specific project based on its unique identifier.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Query parameters
created_afterintegerOptional

Only return test cases created after this date (as UNIX timestamp)

created_beforeintegerOptional

Only return test cases created before this date (as UNIX timestamp)

created_bystringOptional

A comma-separated list of creators (user UIDs) to filter by

filterstringOptional

Only return cases with matching filter string in the case title

limitintegerOptional

The number of test cases the response should return

offsetintegerOptional

Where to start counting the tests cases from (the offset)

priority_idstringOptional

A comma-separated list of priority UIDs to filter by

section_idintegerOptional

The ID of a test case section

template_idstringOptional

A comma-separated list of template UIDs to filter by

type_idstringOptional

A comma-separated list of testCase tags to filter by

updated_afterintegerOptional

Only return test cases updated after this date (as UNIX timestamp)

updated_beforeintegerOptional

Only return test cases updated before this date (as UNIX timestamp)

Responses
chevron-right
200

The list of cases for the specified project.

application/json
offsetintegerOptional

The offset of the results.

limitintegerOptional

The limit of cases per page.

sizeintegerOptional

The total number of cases.

get
index.php?/api/v2/get_cases/{project_id}

TestFiesta does not support this endpoint.

get

TestFiesta does not support this endpoint.

Responses
get
index.php?/api/v2/get_history_for_case/{case_id}
403

This operation is not permitted because TestFiesta does not support this endpoint.

No content

Creates a new case.

post

Creates a new case with the provided details. This endpoint accepts a JSON object containing the necessary fields to create a case, such as the case name and an optional description. In

Path parameters
section_idintegerRequired

The unique identifier of the section sectionUid in TF.

Body
titlestringOptional

The title / name of the test case

template_idintegerOptional

The ID of the template (field layout) if not provided, the default template will be used.

type_idintegerOptional

The ID of the testCase tag that is required to be linked to the test case

priority_idintegerOptional

The ID of the priority that is linked to the test case

labelsarrayOptional

The labels/tags of the test case can contain both tag UIDs and tag names.

Responses
chevron-right
200

The case was successfully created.

application/json
created_bystringOptional

The UUID of the user who created the test case.

created_onintegerOptional

The date/time when the test case was created (as UNIX timestamp).

idintegerOptional

The unique ID of the test case.

priority_idintegerOptional

The ID of the priority that is linked to the test case.

section_idintegerOptional

The ID of the folder the test case belongs to.

suite_idintegerOptional

The ID of the root folder of project the test case belongs to.

template_idintegerOptional

The ID of the template (field layout) the test case uses.

type_idintegerOptional

The ID of the first testCase tag that is linked to the test case.

is_deletedintegerOptional

Always 0 as the api will not return non deleted cases.

titlestringOptional

The title of the test case.

labelsarrayOptional

The labels/tags of the test case.

updated_bystringOptional

TF does not support this it will always be same as created_by.

updated_onintegerOptional

The date/time when the test case was last updated (as UNIX timestamp).

post
index.php?/api/v2/add_case/{section_id}

Copies cases to a section.

post

Copies cases to a section. This endpoint accepts a JSON object containing the necessary fields to copy cases to a section, such as the section ID and the cases to copy.

Path parameters
section_idintegerRequired

The unique identifier of the section sectionUid in TF.

Body
case_idsarrayOptional

A comma-separated list of case IDs to copy.

Responses
chevron-right
200

The cases were successfully copied.

application/json
anyOptional

The cases were successfully copied.

post
index.php?/api/v2/copy_cases_to_section/{section_id}

No content

Updates an existing case.

post

Updates an existing case with the provided details. This endpoint accepts a JSON object containing the necessary fields to update a case, such as the case name and an optional description.

Path parameters
case_idintegerRequired

The unique identifier of the case caseUid in TF.

Body
section_idintegerOptional

The ID of the section the test case should be moved to

titlestringOptional

The title / name of the test case

template_idintegerOptional

The ID of the template (field layout),

type_idintegerOptional

The ID of the testCase tag. Previous tags will be preserve and new tags will be added.

labelsarrayOptional

The labels/tags of the test case can contain both tag UIDs and tag names.

priority_idintegerOptional

The ID of the priority that is linked to the test case

Responses
chevron-right
200

The case was successfully updated. In addition to the properties below, the response will also include the custom fields of the case which can be accessed by forming name as custom_case_<field_name>.

application/json
created_bystringOptional

The UUID of the user who created the test case.

created_onintegerOptional

The date/time when the test case was created (as UNIX timestamp).

idintegerOptional

The unique ID of the test case.

priority_idintegerOptional

The ID of the priority that is linked to the test case.

section_idintegerOptional

The ID of the section the test case belongs to.

suite_idintegerOptional

The ID of the root folder of project the test case belongs to.

template_idintegerOptional

The ID of the template (field layout) the test case uses.

type_idintegerOptional

The ID of the first testCase tag that is linked to the test case.

is_deletedintegerOptional

Always 0 as the api will not return non deleted cases.

titlestringOptional

The title of the test case.

labelsarrayOptional

The labels/tags of the test case.

updated_bystringOptional

The UUID of the user who updated the test case.

updated_onintegerOptional

The date/time when the test case was last updated (as UNIX timestamp).

post
index.php?/api/v2/update_case/{case_id}

Updates multiple cases.

post

Updates multiple cases with the provided details. This endpoint accepts a JSON object containing the necessary fields to update multiple cases, such as the case name and an optional description.

Path parameters
suite_idintegerRequired

The unique identifier of the suite suiteUid in TF.

Body
case_idsarrayOptional

A comma-separated list of case IDs that should be updated.

section_idintegerOptional

The ID of the section the test case should be moved to.

titlestringOptional

The title / name of the test case.

template_idintegerOptional

The ID of the template (field layout),

type_idintegerOptional

The ID of the testCase tag. Previous tags will be preserve and new tags will be added.

labelsarrayOptional

The labels/tags of the test case can contain both tag UIDs and tag names.

priority_idintegerOptional

The ID of the priority that is linked to the test case

Responses
chevron-right
200

The cases were successfully updated. In addition to the properties below, the response will also include the custom fields of the case which can be accessed by forming name as custom_case_<field_name>.

application/json
created_bystringOptional
created_onintegerOptional
idintegerOptional
priority_idintegerOptional
section_idintegerOptional
suite_idintegerOptional
template_idintegerOptional
type_idintegerOptional
is_deletedintegerOptional
titlestringOptional
labelsarrayOptional

The labels/tags of the test case.

updated_bystringOptional
updated_onintegerOptional
post
index.php?/api/v2/update_cases/{suite_id}

Moves cases to a section.

post

Moves cases to a section. This endpoint accepts a JSON object containing the necessary fields to move cases to a section, such as the section ID and the cases to move.

Path parameters
section_idintegerRequired

The unique identifier of the folder folderUid in TF in which the cases should be moved.

Body
case_idsarrayOptional

A comma-separated list of case IDs to move.

Responses
chevron-right
200

The cases were successfully moved.

application/json
anyOptional

The cases were successfully moved.

post
index.php?/api/v2/move_cases_to_section/{section_id}

No content

Deletes a case.

post

Deletes a case. This endpoint accepts a JSON object containing the necessary fields to delete a case, such as the case ID.

Path parameters
case_idintegerRequired

The unique identifier of the case caseUid in TF.

Body
softintegerOptional

soft=1 will return information about the data which will be deleted but will not proceed with the deletion

Responses
chevron-right
200

The cases were successfully deleted.

application/json
anyOptional

The cases were successfully deleted.

post
index.php?/api/v2/delete_case/{case_id}

No content

Deletes multiple cases.

post

Deletes multiple cases with the provided details. This endpoint accepts a JSON object containing the necessary fields to delete multiple cases, such as the case IDs.

Path parameters
suite_idintegerRequired

The unique identifier of the suite suiteUid in TF.

Body
case_idsarrayOptional

A comma-separated list of case IDs to delete.

softintegerOptional

soft=1 will return information about the data which will be deleted but will not proceed with the deletion

Responses
chevron-right
200

The cases were successfully deleted.

application/json
anyOptional

The cases were successfully deleted.

post
index.php?/api/v2/delete_cases/{suite_id}

No content

Test Runs

Retrieves a run.

get

Retrieves a run with the provided details. This endpoint accepts a JSON object containing the necessary fields to retrieve a run, such as the run ID.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Responses
chevron-right
200

The run was successfully retrieved. In addition to the properties below, the response will also include the count of statuses in the run which can be accessed by forming name as custom_<status_name>_count.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

completed_onintegerOptional

The date/time when the test run was closed (as UNIX timestamp) / archivedAt

configstringOptional

The configuration of the test run as a string (if part of a test plan)

config_idsarrayOptional

The array of IDs of the configurations of the test run (if part of a test plan)

created_bystringOptional

The UUID of the user who created the test run

created_onintegerOptional

The date/time when the test run was created (as UNIX timestamp)

descriptionstringOptional

The description of the test run

idintegerOptional

The unique ID of the test run

include_allbooleanOptional

True if the test run includes all test cases and false otherwise

is_completedbooleanOptional

True if the test run was closed / archived and false otherwise

milestone_idintegerOptional

The first ID from array of the milestones linked to the test run

plan_idintegerOptional

The first ID from array of the test plans linked to the test run

namestringOptional

The name of the test run

project_idintegerOptional

The ID of the project this test run belongs to

suite_idintegerOptional

The ID of the test suite in TF will walway point to root project folder

updated_onintegerOptional

The date/time when the test run was last updated (as UNIX timestamp)

urlstringOptional

The address/URL of the test run in the user interface

refsstringOptional

Always null as TF does not support this field

due_onintegerOptional

The date/time when the test run is due (as UNIX timestamp)

start_onintegerOptional

will be null as TF does not support this field

get
index.php?/api/v2/get_run/{run_id}

Retrieves all runs for a project.

get

Retrieves all runs for a project. This endpoint accepts a JSON object containing the necessary fields to retrieve all runs for a project, such as the project ID.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Query parameters
created_afterintegerOptional

Only return test runs created after this date (as UNIX timestamp)

created_beforeintegerOptional

Only return test runs created before this date (as UNIX timestamp)

created_bystringOptional

A comma-separated list of creators (user IDs) to filter by

is_completedintegerOptional

1 to return completed / archived test runs only. 0 to return active test runs only

limitintegerOptional

Limit the result to limit test runs. Use offset to skip records

offsetintegerOptional

Use offset to skip records

milestone_idstringOptional

A comma-separated list of milestone IDs to filter by

Responses
chevron-right
200

The runs were successfully retrieved. In addition to the properties below, the response will also include the count of statuses in the run which can be accessed by forming name as custom_<status_name>_count.

application/json
offsetintegerOptional

The offset of the runs

limitintegerOptional

The limit of the runs

sizeintegerOptional

The size of the runs

get
index.php?/api/v2/get_runs/{project_id}

Creates a new run.

post

Creates a new run with the provided details. This endpoint accepts a JSON object containing the necessary fields to create a run, such as the project ID.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Body
namestringOptional

The name of the test run

descriptionstringOptional

The description of the test run

include_allbooleanOptional

True if the test run includes all test cases and false otherwise true by default

case_idsarrayOptional

A comma-separated list of case IDs to add to the test run. Required if include_all is false.

milestone_idintegerOptional

The ID of the milestone to link to the test run

due_onintegerOptional

The date/time when the test run is due (as UNIX timestamp)

assignedto_idstringOptional

The ID of the user to assign each execution that is added to the test run

Responses
chevron-right
200

The run was successfully created. In addition to the properties below, the response will also include the count of statuses in the run which can be accessed by forming name as custom_<status_name>_count.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

completed_onintegerOptional

The date/time when the test run was closed (as UNIX timestamp) / archivedAt

configstringOptional

The configuration of the test run as a string (if part of a test plan)

config_idsarrayOptional

The array of IDs of the configurations of the test run (if part of a test plan)

created_bystringOptional

The UUID of the user who created the test run

created_onintegerOptional

The date/time when the test run was created (as UNIX timestamp)

descriptionstringOptional

The description of the test run

idintegerOptional

The unique ID of the test run

include_allbooleanOptional

True if the test run includes all test cases and false otherwise

is_completedbooleanOptional

True if the test run was closed / archived and false otherwise

milestone_idintegerOptional

The first ID from array of the milestones linked to the test run

plan_idintegerOptional

The first ID from array of the test plans linked to the test run

namestringOptional

The name of the test run

project_idintegerOptional

The ID of the project this test run belongs to

suite_idintegerOptional

The ID of the test suite in TF will walway point to root project folder

updated_onintegerOptional

The date/time when the test run was last updated (as UNIX timestamp)

urlstringOptional

The address/URL of the test run in the user interface

refsstringOptional

Always null as TF does not support this field

due_onintegerOptional

The date/time when the test run is due (as UNIX timestamp)

start_onintegerOptional

will be null as TF does not support this field

post
index.php?/api/v2/add_run/{project_id}

Updates an existing run.

post

Updates an existing run with the provided details. This endpoint accepts a JSON object containing the necessary fields to update a run, such as the run ID.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Body
namestringOptional

The name of the test run

descriptionstringOptional

The description of the test run

include_allbooleanOptional

True if the test run includes all test cases and false otherwise true by default

case_idsarrayOptional

A comma-separated list of case IDs to add to the test run. Required if include_all is false.

milestone_idintegerOptional

This will add the milestone to the test run and will not remove any existing milestones.

due_onintegerOptional

The date/time when the test run is due (as UNIX timestamp)

Responses
chevron-right
200

The run was successfully created. In addition to the properties below, the response will also include the count of statuses in the run which can be accessed by forming name as custom_<status_name>_count.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

completed_onintegerOptional

The date/time when the test run was closed (as UNIX timestamp) / archivedAt

configstringOptional

The configuration of the test run as a string (if part of a test plan)

config_idsarrayOptional

The array of IDs of the configurations of the test run (if part of a test plan)

created_bystringOptional

The UUID of the user who created the test run

created_onintegerOptional

The date/time when the test run was created (as UNIX timestamp)

descriptionstringOptional

The description of the test run

idintegerOptional

The unique ID of the test run

include_allbooleanOptional

True if the test run includes all test cases and false otherwise

is_completedbooleanOptional

True if the test run was closed / archived and false otherwise

milestone_idintegerOptional

The first ID from array of the milestones linked to the test run

plan_idintegerOptional

The first ID from array of the test plans linked to the test run

namestringOptional

The name of the test run

project_idintegerOptional

The ID of the project this test run belongs to

suite_idintegerOptional

The ID of the test suite in TF will walway point to root project folder

updated_onintegerOptional

The date/time when the test run was last updated (as UNIX timestamp)

urlstringOptional

The address/URL of the test run in the user interface

refsstringOptional

Always null as TF does not support this field

due_onintegerOptional

The date/time when the test run is due (as UNIX timestamp)

start_onintegerOptional

will be null as TF does not support this field

post
index.php?/api/v2/update_run/{run_id}

Closes an existing run.

post

Closes an existing run with the provided details. This endpoint accepts a JSON object containing the necessary fields to close a run, such as the run ID.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Responses
chevron-right
200

The run was successfully closed. In addition to the properties below, the response will also include the count of statuses in the run which can be accessed by forming name as custom_<status_name>_count.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

completed_onintegerOptional

The date/time when the test run was closed (as UNIX timestamp) / archivedAt

configstringOptional

The configuration of the test run as a string (if part of a test plan)

config_idsarrayOptional

The array of IDs of the configurations of the test run (if part of a test plan)

created_bystringOptional

The UUID of the user who created the test run

created_onintegerOptional

The date/time when the test run was created (as UNIX timestamp)

descriptionstringOptional

The description of the test run

idintegerOptional

The unique ID of the test run

include_allbooleanOptional

True if the test run includes all test cases and false otherwise

is_completedbooleanOptional

True if the test run was closed / archived and false otherwise

milestone_idintegerOptional

The first ID from array of the milestones linked to the test run

plan_idintegerOptional

The first ID from array of the test plans linked to the test run

namestringOptional

The name of the test run

project_idintegerOptional

The ID of the project this test run belongs to

suite_idintegerOptional

The ID of the test suite in TF will walway point to root project folder

updated_onintegerOptional

The date/time when the test run was last updated (as UNIX timestamp)

urlstringOptional

The address/URL of the test run in the user interface

refsstringOptional

Always null as TF does not support this field

post
index.php?/api/v2/close_run/{run_id}

Deletes an existing run.

post

Deletes an existing run with the provided details. This endpoint accepts a JSON object containing the necessary fields to delete a run, such as the run ID.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Body
softintegerOptional

If soft=1, this will return data on the number of affected tests. Including soft=1 will not actually delete the entity.

Responses
chevron-right
200

The run was successfully deleted.

No content

post
index.php?/api/v2/delete_run/{run_id}

No content

Test Plans

Retrieves a plan.

get

Retrieves a plan with the provided details. This endpoint accepts a JSON object containing the necessary fields to retrieve a plan, such as the plan ID.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

Responses
chevron-right
200

The plan was successfully retrieved. In addition to the properties below, the response will also include the count of statuses in the plan which can be accessed by forming name as custom_<status_name>_count.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

completed_onintegerOptional

The date/time when the test plan was closed (as UNIX timestamp) / archivedAt

created_bystringOptional

The UUID of the user who created the test plan

created_onintegerOptional

The date/time when the test plan was created (as UNIX timestamp)

descriptionstringOptional

The description of the test plan

entriesarrayOptional

An array of 'entries', i.e. group of test runs

idintegerOptional

The unique ID of the test plan

is_completedbooleanOptional

True if the test plan was closed / archived and false otherwise

milestone_idintegerOptional

The first ID from array of the milestones linked to the test plan

namestringOptional

The name of the test plan

project_idintegerOptional

The ID of the project this test plan belongs to

urlstringOptional

The address/URL of the test plan in the user interface

get
index.php?/api/v2/get_plan/{plan_id}

Retrieves all plans.

get

Retrieves all plans with the provided details. This endpoint accepts a JSON object containing the necessary fields to retrieve all plans, such as the project ID.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Query parameters
created_afterintegerOptional

Only return test plans created after this date (as UNIX timestamp)

created_beforeintegerOptional

Only return test plans created before this date (as UNIX timestamp)

created_bystringOptional

A comma-separated list of creators (user IDs) to filter by

is_completedintegerOptional

1 to return completed test plans only. 0 to return active test plans only

limitintegerOptional

Limit the result to limit test plans. Use offset to skip records

offsetintegerOptional

Use offset to skip records

milestone_idstringOptional

A comma-separated list of milestone IDs to filter by

Responses
chevron-right
200

The plans were successfully retrieved. In addition to the properties below, the response will also include the count of statuses in the plan which can be accessed by forming name as custom_<status_name>_count.

application/json
offsetintegerOptional

The offset of the plans

limitintegerOptional

The limit of the plans

sizeintegerOptional

The size of the plans

get
index.php?/api/v2/get_plans/{project_id}

Adds a plan.

post

Adds a plan with the provided details. This endpoint accepts a JSON object containing the necessary fields to add a plan, such as the project ID.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Body
namestringOptional

The name of the test plan

descriptionstringOptional

The description of the test plan

milestone_idintegerOptional

The ID of the milestone to link to the test plan

post
index.php?/api/v2/add_plan/{project_id}

Updates a plan.

post

Updates a plan with the provided details. This endpoint accepts a JSON object containing the necessary fields to update a plan, such as the plan ID.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

Body
namestringOptional

The name of the test plan

descriptionstringOptional

The description of the test plan

milestone_idintegerOptional

The ID of the milestone to link to the test plan

post
index.php?/api/v2/update_plan/{plan_id}

Adds a plan entry.

post

Testfairy does not support plan entries. This endpoint will add runs to the plan and runs will be grouped into 2 entries. 1 entry of the runs with configs and 1 entry of the runs without configs. In addtion to it there is no support for additional enteries the endpoint will add runs accordingly.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

Body
namestringOptional

The name of the test run(s)

descriptionstringOptional

The description of the test plan

case_idsarrayOptional

An array of case IDs for the custom case selection (Required if include_all is false)

assignedto_idstringOptional

The ID of the user to assign each execution that is added to the test run

config_idsarrayOptional

An array of configuration IDs used for the test run of the test plan entry

post
index.php?/api/v2/add_plan_entry/{plan_id}

Adds a run to a plan entry.

post

Adds a run to a plan entry.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

entry_idstringRequired

The unique identifier of the plan entry entryUid in TF.

Body
config_idsarrayOptional

An array of configuration IDs used for the test run of the test plan entry

descriptionstringOptional

The description of the test run

include_allbooleanOptional

True for including all test cases of the test suite and false for a custom case selection

assignedto_idstringOptional

The ID of the user to assign each execution that is added to the test run

case_idsarrayOptional

An array of case IDs for the custom case selection

post
index.php?/api/v2/add_run_to_plan_entry/{plan_id}/{entry_id}

Updates a plan entry.

post

Updates a plan entry.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

entry_idstringRequired

The unique identifier of the plan entry entryUid in TF.

Body
namestringOptional

The name of the test run(s)

descriptionstringOptional

The description of the test plan

case_idsarrayOptional

An array of case IDs for the custom case selection

include_allbooleanOptional

True for including all test cases of the test suite and false for a custom case selection

config_idsarrayOptional

An array of configuration IDs used for the test run of the test plan entry

post
index.php?/api/v2/update_plan_entry/{plan_id}/{entry_id}

Updates a run in a plan entry.

post

Updates a run in a plan entry.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Body
case_idsarrayOptional

An array of case IDs for the custom case selection

descriptionstringOptional

The description of the test run

include_allbooleanOptional

True for including all test cases of the test suite and false for a custom case selection

post
index.php?/api/v2/update_run_in_plan_entry/{run_id}

Closes a plan.

post

Closes a plan.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

Responses
chevron-right
200

The plan was successfully closed / archived.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

completed_onintegerOptional

The date/time when the test plan was closed (as UNIX timestamp) / archivedAt

created_bystringOptional

The UUID of the user who created the test plan

created_onintegerOptional

The date/time when the test plan was created (as UNIX timestamp)

descriptionstringOptional

The description of the test plan

entriesarrayOptional

An array of 'entries', i.e. group of test runs

idintegerOptional

The unique ID of the test plan

is_completedbooleanOptional

True if the test plan was closed / archived and false otherwise

milestone_idintegerOptional

The first ID from array of the milestones linked to the test plan

namestringOptional

The name of the test plan

project_idintegerOptional

The ID of the project this test plan belongs to

urlstringOptional

The address/URL of the test plan in the user interface

post
index.php?/api/v2/close_plan/{plan_id}

Deletes a plan.

post

Deletes a plan.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

Responses
chevron-right
200

The plan was successfully deleted.

application/json
anyOptional
post
index.php?/api/v2/delete_plan/{plan_id}

No content

Deletes a plan entry.

post

Deletes a plan entry.

Path parameters
plan_idintegerRequired

The unique identifier of the plan planUid in TF.

entry_idstringRequired

Id of entry in plan

Responses
chevron-right
200

The plan entry was successfully deleted.

No content

post
index.php?/api/v2/delete_plan_entry/{plan_id}/{entry_id}

No content

Deletes a run from a plan entry.

post

Deletes a run from a plan entry.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Responses
chevron-right
200

The run was successfully deleted from the plan entry.

No content

post
index.php?/api/v2/delete_run_from_plan_entry/{run_id}

No content

Milestones

Gets a milestone.

get

Gets a milestone.

Path parameters
milestone_idintegerRequired

The unique identifier of the milestone milestoneUid in TF.

Responses
chevron-right
200

The milestone was successfully retrieved.

application/json
completed_onintegerOptional

The date/time when the milestone was marked as completed (as UNIX timestamp)

descriptionstringOptional

The description of the milestone

due_onintegerOptional

The due date/time of the milestone (as UNIX timestamp)

idintegerOptional

The unique ID of the milestone

is_completedbooleanOptional

True if the milestone is marked as started and false otherwise

is_startedbooleanOptional

True if the milestone is marked as started and false otherwise

milestonesarrayOptional

The sub milestones that belong to the milestone (if any); only available with get_milestone β€” requires TestRail 5.3 or later

namestringOptional

The name of the milestone

parent_idintegerOptional

The ID of the parent milestone the milestone belongs to (if any)

project_idintegerOptional

The ID of the project the milestone belongs to

refsstringOptional

TF does not support this field will be null

start_onintegerOptional

The scheduled start date/time of the milestone (as UNIX timestamp)

started_onintegerOptional

it will be same as start_on

urlstringOptional

The address/URL of the milestone in the user interface

get
index.php?/api/v2/get_milestone/{milestone_id}

Gets milestones.

get

Gets milestones.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Responses
chevron-right
200

The milestones were successfully retrieved.

application/json
limitintegerOptional

The number of milestones to return

offsetintegerOptional

The offset of the milestones to return

sizeintegerOptional

The total number of milestones

get
index.php?/api/v2/get_milestones/{project_id}
200

The milestones were successfully retrieved.

Adds a milestone.

post

Adds a milestone.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Body
namestringOptional

The name of the milestone

descriptionstringOptional

The description of the milestone

due_onintegerOptional

The due date of the milestone (as UNIX timestamp)

parent_idintegerOptional

The ID of the parent milestone, if any (for sub-milestones)

start_onintegerOptional

The scheduled start date of the milestone (as UNIX timestamp)

Responses
chevron-right
200

The milestone was successfully added.

application/json
completed_onintegerOptional

The date/time when the milestone was marked as completed (as UNIX timestamp)

descriptionstringOptional

The description of the milestone

due_onintegerOptional

The due date/time of the milestone (as UNIX timestamp)

idintegerOptional

The unique ID of the milestone

is_completedbooleanOptional

True if the milestone is marked as started and false otherwise

is_startedbooleanOptional

True if the milestone is marked as started and false otherwise

milestonesarrayOptional

The sub milestones that belong to the milestone (if any); only available with get_milestone β€” requires TestRail 5.3 or later

namestringOptional

The name of the milestone

parent_idintegerOptional

The ID of the parent milestone the milestone belongs to (if any)

project_idintegerOptional

The ID of the project the milestone belongs to

refsstringOptional

TF does not support this field will be null

start_onintegerOptional

The scheduled start date/time of the milestone (as UNIX timestamp)

started_onintegerOptional

it will be same as start_on

urlstringOptional

The address/URL of the milestone in the user interface

post
index.php?/api/v2/add_milestone/{project_id}

Updates a milestone.

post

Updates a milestone.

Path parameters
milestone_idintegerRequired

The unique identifier of the milestone milestoneUid in TF.

Body
is_completedbooleanOptional

True if a milestone is considered completed and false otherwise

is_startedbooleanOptional

True if a milestone is considered started and false otherwise

parent_idintegerOptional

The ID of the parent milestone, if any (for sub-milestones)

start_onintegerOptional

The scheduled start date of the milestone (as UNIX timestamp)

Responses
chevron-right
200

The milestone was successfully updated.

application/json
completed_onintegerOptional

The date/time when the milestone was marked as completed (as UNIX timestamp)

descriptionstringOptional

The description of the milestone

due_onintegerOptional

The due date/time of the milestone (as UNIX timestamp)

idintegerOptional

The unique ID of the milestone

is_completedbooleanOptional

True if the milestone is marked as started and false otherwise

is_startedbooleanOptional

True if the milestone is marked as started and false otherwise

milestonesarrayOptional

The sub milestones that belong to the milestone (if any); only available with get_milestone β€” requires TestRail 5.3 or later

namestringOptional

The name of the milestone

parent_idintegerOptional

The ID of the parent milestone the milestone belongs to (if any)

project_idintegerOptional

The ID of the project the milestone belongs to

refsstringOptional

TF does not support this field will be null

start_onintegerOptional

The scheduled start date/time of the milestone (as UNIX timestamp)

started_onintegerOptional

it will be same as start_on

urlstringOptional

The address/URL of the milestone in the user interface

post
index.php?/api/v2/update_milestone/{milestone_id}

Deletes a milestone.

post

Deletes a milestone.

Path parameters
milestone_idintegerRequired

The unique identifier of the milestone milestoneUid in TF.

Responses
chevron-right
200

The milestone was successfully deleted.

application/json
anyOptional
post
index.php?/api/v2/delete_milestone/{milestone_id}

No content

Tests (TestFiesta Test Executions)

Gets a test.

get

Gets a test.

Path parameters
test_idintegerRequired

The unique identifier of the test testUid in TF.

Responses
chevron-right
200

The test was successfully retrieved.

application/json
assigned_to_idintegerOptional

TF does not support this field will be null

case_idintegerOptional

TF does not support this field will be null

idintegerOptional

The unique ID of the test

milestone_idintegerOptional

The ID of the milestone that is linked to the test case

priority_idintegerOptional

The ID of the priority that is linked to the test case

refsstringOptional

A comma-separated list of references/requirements that are linked to the test case

run_idintegerOptional

The ID of the test run the test belongs to

status_idintegerOptional

The ID of the current status of the test, also see get_statuses

titlestringOptional

The title of the related test case

type_idintegerOptional

The ID of the first test case tag that is linked to the test case

get
index.php?/api/v2/get_test/{test_id}

Gets tests.

get

Gets tests.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Query parameters
status_idstringOptional

A comma-separated list of status IDs to filter by

limitintegerOptional

The number that sets the limit of tests to be shown on the response (Optional parameter. The response size limit is 250 by default) – requires TestRail 6.7 or later

offsetanyOptional

The number that sets the position where the response should start from (Optional parameter) – requires TestRail 6.7 or later

Responses
chevron-right
200

The tests were successfully retrieved.

application/json
limitintegerOptional

The number of tests to return

offsetintegerOptional

The offset of the tests to return

sizeintegerOptional

The total number of tests

get
index.php?/api/v2/get_tests/{run_id}

Test Results

Gets results.

get

Gets results.

Path parameters
test_idintegerRequired

The unique identifier of the test testUid in TF.

Query parameters
limitintegerOptional

The number that sets the limit of results to be shown on the response (Optional parameter. The response size limit is 250 by default) – requires TestRail 6.7 or later

offsetintegerOptional

The number that sets the position where the response should start from (Optional parameter) – requires TestRail 6.7 or later

Responses
chevron-right
200

The results were successfully retrieved.

application/json
limitintegerOptional

The number of results to return

offsetintegerOptional

The offset of the results to return

sizeintegerOptional

The total number of results

get
index.php?/api/v2/get_results/{test_id}
200

The results were successfully retrieved.

Gets results for a case.

get

Gets results for a case.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

case_idintegerRequired

The unique identifier of the case caseUid in TF.

Query parameters
limitintegerOptional

The number that sets the limit of results to be shown on the response (Optional parameter. The response size limit is 250 by default) – requires TestRail 6.7 or later

offsetintegerOptional

The number that sets the position where the response should start from (Optional parameter) – requires TestRail 6.7 or later

Responses
chevron-right
200

The results were successfully retrieved.

No content

get
index.php?/api/v2/get_results_for_case/{run_id}/{case_id}

No content

Gets results for a run.

get

Gets results for a run.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Query parameters
limitintegerOptional

The number that sets the limit of results to be shown on the response (Optional parameter. The response size limit is 250 by default) – requires TestRail 6.7 or later

offsetintegerOptional

The number that sets the position where the response should start from (Optional parameter) – requires TestRail 6.7 or later

created_afterintegerOptional

Only return test results created after this date (as UNIX timestamp)

created_beforeintegerOptional

Only return test results created before this date (as UNIX timestamp)

created_bystringOptional

A comma-separated list of creators (user IDs) to filter by

status_idstringOptional

A comma-separated list of status IDs to filter by

Responses
chevron-right
200

The results were successfully retrieved.

application/json
limitintegerOptional

The number of results to return

offsetintegerOptional

The offset of the results to return

sizeintegerOptional

The total number of results

get
index.php?/api/v2/get_results_for_run/{run_id}

Adds a result.

post

Adds a result.

Path parameters
test_idintegerRequired

The unique identifier of the test testUid in TF.

Body
status_idintegerOptional

The ID of the test status.

commentstringOptional

The comment/description for the test result

Responses
chevron-right
200

The result was successfully added.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

commentstringOptional

The comment or error message of the test result

created_bystringOptional

The ID of the user who created the test result

created_onintegerOptional

The date/time when the test result was created (as UNIX timestamp)

defectsstringOptional

Null right now

idintegerOptional

The unique ID of the test result

status_idintegerOptional

The status of the test result, e.g. passed or failed, also see get_statuses

test_idintegerOptional

The ID of the test this test result belongs to

post
index.php?/api/v2/add_result/{test_id}

Adds a result for a case.

post

Adds a result for a case.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

case_idintegerRequired

The unique identifier of the case caseUid in TF.

Body
status_idintegerOptional

The ID of the test status.

commentstringOptional

The comment/description for the test result

Responses
chevron-right
200

The result was successfully added.

application/json
assignedto_idintegerOptional

TF does not support this field will be null

commentstringOptional

The comment or error message of the test result

created_bystringOptional

The ID of the user who created the test result

created_onintegerOptional

The date/time when the test result was created (as UNIX timestamp)

defectsstringOptional

Null right now

idintegerOptional

The unique ID of the test result

status_idintegerOptional

The status of the test result, e.g. passed or failed, also see get_statuses

test_idintegerOptional

The ID of the test this test result belongs to

post
index.php?/api/v2/add_result_for_case/{run_id}/{case_id}

Adds results.

post

Adds results.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Body
Responses
chevron-right
200

The results were successfully added.

application/json
limitintegerOptional

The number of results to return

offsetintegerOptional

The offset of the results to return

sizeintegerOptional

The total number of results

resultsobject[]Optional

An array of 'results', i.e. group of results

propertiesanyOptional
post
index.php?/api/v2/add_results/{run_id}
200

The results were successfully added.

Adds results for cases.

post

Adds results for cases.

Path parameters
run_idintegerRequired

The unique identifier of the run runUid in TF.

Body
Responses
chevron-right
200

The results were successfully added.

application/json
limitintegerOptional

The number of results to return

offsetintegerOptional

The offset of the results to return

sizeintegerOptional

The total number of results

resultsobject[]Optional

An array of 'results', i.e. group of results

propertiesanyOptional
post
index.php?/api/v2/add_results_for_cases/{run_id}
200

The results were successfully added.

Settings and Configurations

Gets case types.

get

Gets case types.

Responses
chevron-right
200

The case types were successfully retrieved.

application/json
idintegerOptional

The unique ID of the case type

namestringOptional

The name of the case type

is_defaultbooleanOptional

always false

get
index.php?/api/v2/get_case_types
200

The case types were successfully retrieved.

Gets priorities.

get

Gets priorities.

Responses
chevron-right
200

The priorities were successfully retrieved.

application/json
idintegerOptional

The unique ID of the priority

namestringOptional

The name of the priority

is_defaultbooleanOptional

always false

priorityintegerOptional

The priority level same as id

short_namestringOptional

The short name of the priority

get
index.php?/api/v2/get_priorities
200

The priorities were successfully retrieved.

Gets statuses.

get

Gets statuses.

Responses
chevron-right
200

The statuses were successfully retrieved.

application/json
color_brightintegerOptional

The bright color of the status same as medium color

color_darkintegerOptional

The dark color of the status same as medium color

color_mediumintegerOptional

The medium color of the status

idintegerOptional

The unique ID of the status

is_finalbooleanOptional

Whether the status is final

is_systembooleanOptional

always false

is_untestedbooleanOptional

Whether the status is untested

labelstringOptional

The label of the status

namestringOptional
get
index.php?/api/v2/get_statuses
200

The statuses were successfully retrieved.

Gets templates.

get

Gets templates.

Responses
chevron-right
200

The templates were successfully retrieved.

application/json
idintegerOptional

The unique ID of the template

namestringOptional

The name of the template

is_defaultbooleanOptional

Whether the template is the default template

get
index.php?/api/v2/get_templates/{project_id}
200

The templates were successfully retrieved.

Gets configurations.

get

Gets configurations.

Responses
chevron-right
200

The configurations were successfully retrieved.

application/json
idintegerOptional

The unique ID of the configuration group

namestringOptional

The name of the configuration group

project_idintegerOptional

The ID of the project this configuration group belongs to

get
index.php?/api/v2/get_configs/{project_id}
200

The configurations were successfully retrieved.

Adds a configuration group.

post

Adds a configuration group.

Path parameters
project_idintegerRequired

The unique identifier of the project projectUid in TF.

Body
namestringOptional

The name of the configuration group

Responses
chevron-right
200

The configuration group was successfully added.

application/json
idintegerOptional

The unique ID of the configuration group

namestringOptional

The name of the configuration group

project_idintegerOptional

The ID of the project this configuration group belongs to

post
index.php?/api/v2/add_config_group/{project_id}
200

The configuration group was successfully added.

Adds a configuration.

post

Adds a configuration.

Path parameters
config_group_idintegerRequired

The unique identifier of the configuration group configGroupUid in TF.

Body
namestringOptional

The name of the configuration

Responses
chevron-right
200

The configuration was successfully added.

application/json
idintegerOptional

The unique ID of the configuration

namestringOptional

The name of the configuration

group_idintegerOptional

The ID of the configuration group this configuration belongs to

post
index.php?/api/v2/add_config/{config_group_id}
200

The configuration was successfully added.

Updates a configuration group.

post

Updates a configuration group.

Path parameters
config_group_idintegerRequired

The unique identifier of the configuration group configGroupUid in TF.

Body
namestringOptional

The name of the configuration group

Responses
chevron-right
200

The configuration group was successfully updated.

application/json
idintegerOptional

The unique ID of the configuration group

namestringOptional

The name of the configuration group

project_idintegerOptional

The ID of the project this configuration group belongs to

post
index.php?/api/v2/update_config_group/{config_group_id}
200

The configuration group was successfully updated.

Updates a configuration.

post

Updates a configurations.

Path parameters
config_idintegerRequired

The unique identifier of the configuration configUid in TF.

Body
namestringOptional

Name of the configuration to update

Responses
chevron-right
200

The configuration was successfully updated.

application/json
idintegerOptional

The unique ID of the configuration group

namestringOptional

The name of the configuration group

project_idintegerOptional

The ID of the project this configuration group belongs to

post
index.php?/api/v2/update_config/{config_id}
200

The configuration was successfully updated.

Deletes a configuration group.

post

Deletes a configuration group.

Path parameters
config_group_idintegerRequired

The unique identifier of the configuration group configGroupUid in TF.

Responses
chevron-right
200

The configuration group was successfully deleted.

application/json
anyOptional
post
index.php?/api/v2/delete_config_group/{config_group_id}
200

The configuration group was successfully deleted.

No content

Deletes a configuration.

post

Deletes a configuration.

Path parameters
config_idintegerRequired

The unique identifier of the configuration configUid in TF.

Responses
chevron-right
200

The configuration was successfully deleted.

application/json
anyOptional
post
index.php?/api/v2/delete_config/{config_id}
200

The configuration was successfully deleted.

No content

Attachments

Adds an attachment to a case.

post

Adds an attachment to a case.

Path parameters
case_idintegerRequired

The unique identifier of the case caseUid in TF.

Body
attachmentstringOptional

The attachment to add

Responses
chevron-right
200

The attachment was successfully added.

application/json
attachment_idstringOptional

The unique ID of the attachment

post
index.php?/api/v2/add_attachment_to_case/{case_id}
200

The attachment was successfully added.

Gets attachments for a case.

get

Gets attachments for a case.

Path parameters
case_idintegerRequired

The unique identifier of the case caseUid in TF.

Responses
chevron-right
200

The attachments were successfully retrieved.

application/json
limitintegerOptional

The number of attachments to return

offsetintegerOptional

The offset of the attachments to return

sizeintegerOptional

The total number of attachments

get
index.php?/api/v2/get_attachments_for_case/{case_id}
200

The attachments were successfully retrieved.

Last updated